OTRS 2.2.5 compatibility with RHEL 7.7

Moderator: crythias

Post Reply
konak0508
OTRS newbie
Posts: 5
Joined: 16 Mar 2020, 16:51
OTRS Version?: OTRS 2.2.5
Real Name: Karthik Kona
Company: CNSI

OTRS 2.2.5 compatibility with RHEL 7.7

Post by konak0508 »

Hi OTRS Team,

we are trying to migrate OTRS 2.2.5 to RHEL 7.7 machine ( no upgrading). Wanted to know if the version 2.2.5 is compatible with RHEL 7.7? Appreciate the help on this.

Thanks
Karthik

jojo
Moderator
Posts: 14784
Joined: 26 Jan 2007, 14:50
OTRS Version?: Git Master
Contact:

Re: OTRS 2.2.5 compatibility with RHEL 7.7

Post by jojo »

Such a old OTRS version will not work with newer versions of PERL. Also this version is so old and has many security issues so it can not be operated safely any more which is e.g. also an issue with the GDPR
"Production": OTRS™ 8, OTRS™ 7, STORM powered by OTRS
"Testing": ((OTRS Community Edition)) and git Master

Never change Defaults.pm! :: Blog
Professional Services:: http://www.otrs.com :: enjoy@otrs.com

konak0508
OTRS newbie
Posts: 5
Joined: 16 Mar 2020, 16:51
OTRS Version?: OTRS 2.2.5
Real Name: Karthik Kona
Company: CNSI

Re: OTRS 2.2.5 compatibility with RHEL 7.7

Post by konak0508 »

Hi Jojo,

Thank you so much for your response. We are not going to use it actively or make any modification. we just want to keep an instance up and running without any upgrading and would it be fine?

Thank You
karthik

root
Moderator
Posts: 2222
Joined: 18 Dec 2007, 12:23
OTRS Version?: 4/5/6
Real Name: Roy Kaldung
Company: Znuny Inc.
Contact:

Re: OTRS 2.2.5 compatibility with RHEL 7.7

Post by root »

konak0508 wrote:
16 Mar 2020, 18:11
Hi Jojo,

Thank you so much for your response. We are not going to use it actively or make any modification. we just want to keep an instance up and running without any upgrading and would it be fine?
Hi

Pretty sure this won't work. I keep a RHEL 5 version for doing migrations of very old OTRS setups and use them as an intermediate system.

- Roy
OTRS 5/6 CentOS / RHEL / Debian / SLES / MySQL / PostgreSQL / Oracle / OpenLDAP / Active Directory / SSO

Do you need professional services for the ((OTRS)) Community Edition? Check out https://www.znuny.com/

konak0508
OTRS newbie
Posts: 5
Joined: 16 Mar 2020, 16:51
OTRS Version?: OTRS 2.2.5
Real Name: Karthik Kona
Company: CNSI

Re: OTRS 2.2.5 compatibility with RHEL 7.7

Post by konak0508 »

H Roy,

Thank you so much for the reply. Yeah i just saw the current version of the Linux Server where my OTRS 2.2.5 is running. Hopefully I can get the same version on the new server or may be RHEl 5 at the best. Thank you again :)
karthik


Linux 4.1.12-124.17.2.el6uek.x86[/b]_64 #2 SMP Tue Jul 17 20:31:11 PDT 2018 x86_64 x86_64 x86_64 GNU/Linux

Post Reply